Bug 1345976 - [UX] When no repo and --disablerepo=* - incorrect error message
Summary: [UX] When no repo and --disablerepo=* - incorrect error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: Štěpán Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 14:38 UTC by Jaroslav Mracek
Modified: 2017-02-10 16:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 16:00:39 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Mracek 2016-06-13 14:38:10 UTC
Description of problem:
When any available repo and --disablerepo=* it produce incorrect error message.
Example: sudo dnf install --setopt=reposdir=/tmp --disablerepo=* PackageKit-1.0.11-1.fc23.x86_64.rpm

Version-Release number of selected component (if applicable):


How reproducible:
[jmracek@dhcp-0-213 dnf]$ sudo yum-deprecated --setopt=reposdir=/tmp --disablerepo=* repolist
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.

Loaded plugins: show-leaves
repolist: 0
[jmracek@dhcp-0-213 dnf]$ sudo dnf --setopt=reposdir=/tmp --disablerepo=* repolist
Error: Unknown repo: '*'

Steps to Reproduce:
1.
2.
3.

Actual results:
Error: Unknown repo: '*'

Expected results:
Like when some repo available - no error and command will be performed.

Additional info:

Comment 1 Igor Gnatenko 2016-06-28 12:37:25 UTC
as discussed with Jaroslav, if disablerepo doesn't match anything - just print warning. if enablerepo doesn't match anything - throw error.

Comment 2 Honza Silhan 2016-07-12 09:41:56 UTC
Stepan, take a look, please. Fix just the `--disablerepo` part. Print just warning when it does not match anything.

Comment 3 Štěpán Smetana 2016-07-28 07:38:03 UTC
PR was created: https://github.com/rpm-software-management/dnf/pull/530

Comment 4 Fedora End Of Life 2016-11-25 09:17:36 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jaroslav Mracek 2017-02-10 16:00:39 UTC
Bugs fixed in version of dnf-2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.